%define	name	ltris
%define	version	1.0.14
%define	release	%mkrel 1

Summary:	Nice tetris clone
Name:	        %{name}
Version:	%{version}
Release:	%{release}
Epoch:		1
Url:		http://lgames.sourceforge.net/index.php?project=LTris
Source0:	http://prdownloads.sourceforge.net/lgames/%{name}-%{version}.tar.gz
# Source4:	%{name}.menu
Source5:	%{name}16.png.bz2
Source6:	%{name}32.png.bz2
Source7:	%{name}48.png.bz2
License:	GPLv2+
Group:		Games/Arcade
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	libSDL_mixer-devel

%description
o Tetris clone using SDL
o Sound
o Menu
o Controls can be redefined
o Block preview
o Starting level between 0 and 9
o Various backgrounds
o HighScores
o Nice graphics
o Smooth gameplay
o Cool effects (transparency, animations)
o Two player mode
o Two game modes

%prep
%setup -q

%build
%configure2_5x	--with-highscore-path=%{_localstatedir}/lib/games \
		--bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT{%{_liconsdir},%{_miconsdir}}

bzcat %{SOURCE5} > $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
bzcat %{SOURCE6} > $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
bzcat %{SOURCE7} > $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

# install -D -m644 %SOURCE4 $RPM_BUILD_ROOT%{_menudir}/%{name}

rm %{buildroot}%{_datadir}/applications/%{name}.desktop
rm %{buildroot}%{_iconsdir}/%{name}48.gif

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
cat >$RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Name=LTris
Comment=Nice tetris clone
Exec=/usr/games/ltris
Icon=ltris
Terminal=false
Type=Application
Categories=Game;ArcadeGame;
EOF

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post 
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%files -f %name.lang
%defattr(-,root,root)
%doc README INSTALL AUTHORS ChangeLog
%attr(2755, root, games) %{_gamesbindir}/*
%attr(664, root, games) %{_localstatedir}/%{name}.hscr
%{_datadir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop
%{_iconsdir}/*.png
%{_miconsdir}/*
%{_liconsdir}/*


%changelog
* Fri Dec 25 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.0.14-1mdv2010.1
+ Revision: 482321
- Update to new version 1.0.14
- Remove new upstream desktop and icon files because Mandriva's are better

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 1:1.0.13-1mdv2010.1
+ Revision: 462292
- update to new version 1.0.13

* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:1.0.12-2mdv2010.0
+ Revision: 429878
- rebuild

* Mon Aug 11 2008 Funda Wang <fwang@mandriva.org> 1:1.0.12-1mdv2009.0
+ Revision: 270696
- New version 1.0.12

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Sun Mar 23 2008 Emmanuel Andry <eandry@mandriva.org> 1:1.0.11-5mdv2008.1
+ Revision: 189591
- fix BR to enable sound (#39245)

* Thu Jan 03 2008 Olivier Blin <oblin@mandriva.com> 1:1.0.11-4mdv2008.1
+ Revision: 140933
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Tue Aug 28 2007 Funda Wang <fwang@mandriva.org> 1:1.0.11-4mdv2008.0
+ Revision: 72334
- fix menu entry comment

* Sat Jun 30 2007 Olivier Thauvin <nanardon@mandriva.org> 1:1.0.11-3mdv2008.0
+ Revision: 46107
- kill leading space at end of EOF

  + Guillaume Bedot <littletux@mandriva.org>
    - xdg menu


* Thu Dec 14 2006 Eskild Hustvedt <eskild@mandriva.org> 1.0.11-2mdv2007.0
+ Revision: 97170
- Yearly rebuild
- Import ltris

* Fri Oct 07 2005 Lenny Cartier <lenny@mandriva.com> 1:1.0.11-1mdk
- 1.0.11

* Sat Feb 19 2005 Pixel <pixel@mandrakesoft.com> 1:1.0.10-1mdk
- new release

* Thu Jan 22 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

